GCVT(3)

NAME
gcvt - convert a floating-point number to a string

SYNOPSIS
#include <stdlib.h>

char *gcvt(double number, size_t ndigit, char *buf);

DESCRIPTION
The gcvt() function converts number to a minimal length NULL terminated ASCII string and stores the result in buf. It produces ndigit significant digits in either printf(3) F format or E format.

NOTES
This function is obsolete. Instead, sprintf() is recommended.

RETURN VALUE
The gcvt() function returns the address of the string pointed to by buf.

SEE ALSO
ecvt(3), fcvt(3), sprintf(3)